Bug 57911 - An "invisible hand" stops umount system calls
An "invisible hand" stops umount system calls
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-31 22:09 EST by Michal Jaegermann
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2001-12-31 22:09:32 EST
Description of Problem:

Under /mnt/other there were mounted various partitions from /dev/hdg
for a while and various copy operations from them to another disk
were performed.  Nothing was written _to_ that disk (this includes
delete operations).  Currently all of these partitions mounted below
/mnt/other got unmounted and we see the following (/etc/mtab has
the same info on mounts):

# cat /proc/mounts | grep hdg
/dev/hdg1 /mnt/other ext2 rw 0 0
# umount /mnt/other
umount: /mnt/other: device is busy
# lsof /mnt/other/
# umount -f /mnt/other
umount2: Device or resource busy
umount: /dev/hdg1: not mounted
umount: /mnt/other: Illegal seek
# umount -f /dev/hdg1
umount2: Device or resource busy
umount: /dev/hdg1: not mounted
umount: /mnt/other: Illegal seek
# umount -v -f /dev/hdg1
umount2: Device or resource busy
could not umount /mnt/other - trying /dev/hdg1 instead
umount: /dev/hdg1: not mounted
umount: /mnt/other: Illegal seek
#

The above even after _all_ logins were closed and root logged once
again. 'strace' does not give much more and shows only EBUSY error
return from 'umount' or 'oldumount' calls.

Yes, I was trying to be a bit more "inventive" with lsof than in
the above demo.  Nothing was showing up.

Version-Release number of selected component (if applicable):

kernel-2.4.9-13, glibc-2.2.4-19.3 and util-linux-2.11f-17

How Reproducible:

Hard to tell.  It does seem to depend on preceding activities.
Comment 1 Bugzilla owner 2004-09-30 11:39:19 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.